5.50 Prometheus Help

Discussion in 'PSP - Games & Content' started by Jamstruth, Jun 25, 2010.

Jun 25, 2010

5.50 Prometheus Help by Jamstruth at 5:22 PM (1,236 Views / 0 Likes) 6 replies

  1. Jamstruth
    OP

    Member Jamstruth Secondary Feline Anthropomorph

    Joined:
    Apr 23, 2009
    Messages:
    3,456
    Location:
    North East Scotland
    Country:
    United Kingdom
    Having trouble with getting 6.20 games working on my PSP-1000. I had it on 5.50 GEN-D3 and running the 2 games I wanted to with the KHBBS.prx but am wanting to try Peacewalker now and as far as I know the plugin doesn't work too well with that.
    I figured the new CFW was the simplest way to go and updated to it. Unfortunately now my normal games work still but the 2 6.20 games give me the usual non-start error. ANy ideas as to what's going on? I've disabled all my games plugins but still get the error. Don't even get a pink/red decrypt screen from my PSP.
     
  2. luke_c

    Member luke_c Big Boss

    Joined:
    Jun 16, 2008
    Messages:
    3,587
    Location:
    Land of England
    Country:
    United Kingdom
    There is no update after 5.50 GEN-D3, make sure you're running the latest version of Prometheus aswell
     
  3. Jamstruth
    OP

    Member Jamstruth Secondary Feline Anthropomorph

    Joined:
    Apr 23, 2009
    Messages:
    3,456
    Location:
    North East Scotland
    Country:
    United Kingdom
    I meant I updated to 5.50 Prometheus... Running v3 which is that latest one (I think)
     
  4. luke_c

    Member luke_c Big Boss

    Joined:
    Jun 16, 2008
    Messages:
    3,587
    Location:
    Land of England
    Country:
    United Kingdom
    Ah, the Prometheus versions auto patch them so I assume you would have to run a clean ISO, breaks compatibility with quite a few games though
    EDIT: Why did I put ROM [​IMG]
     
  5. Jamstruth
    OP

    Member Jamstruth Secondary Feline Anthropomorph

    Joined:
    Apr 23, 2009
    Messages:
    3,456
    Location:
    North East Scotland
    Country:
    United Kingdom
    Running clean ISOs (I was using the KHBBS plugin before) and the rest of my games work fine. Its just the 6.20 games (the ones its SUPPOSED to work with) that it doesn't like.
     
  6. HokageNaruto

    Member HokageNaruto GBAtemp Regular

    Joined:
    Nov 21, 2008
    Messages:
    155
    Country:
    United States
    I thought that if you were using the KHBBS plugin, the games had to be patched in order to work.
     
  7. Jamstruth
    OP

    Member Jamstruth Secondary Feline Anthropomorph

    Joined:
    Apr 23, 2009
    Messages:
    3,456
    Location:
    North East Scotland
    Country:
    United Kingdom
    KHBBS plugin is an a plugin that runs alongside the game pointing to the correct files. No patching was necessary. This was upgraded to the Prometheus Module which allowed for greater compatibility as the program was run inside the game rather than alongside it, unfortunately this meant patching the ISO. Finally there is the Prometheus Firmware which appears to not like my EU PSP-1003. It builds the module into the firmware for good compatibility and no ISO patching
     

Share This Page